Skip to content

get_io_channel_paramget_io_channel_paramGetIoChannelParamGetIoChannelParamget_io_channel_paramT_get_io_channel_param🔗

Short description🔗

get_io_channel_paramget_io_channel_paramGetIoChannelParamGetIoChannelParamget_io_channel_paramT_get_io_channel_param — Query specific parameters of I/O channels.

Signature🔗

get_io_channel_param( io_channel IOChannelHandle, string GenParamName, out string GenParamValue )get_io_channel_param( : : IOChannelHandle, GenParamName : GenParamValue )void GetIoChannelParam( const HTuple& IOChannelHandle, const HTuple& GenParamName, HTuple* GenParamValue )static void HOperatorSet.GetIoChannelParam( HTuple IOChannelHandle, HTuple genParamName, out HTuple genParamValue )def get_io_channel_param( iochannel_handle: MaybeSequence[HHandle], gen_param_name: MaybeSequence[str] ) -> Sequence[HTupleElementType]

Herror T_get_io_channel_param( const Htuple IOChannelHandle, const Htuple GenParamName, Htuple* GenParamValue )

static HTuple HIOChannel::GetIoChannelParam( const HIOChannelArray& IOChannelHandle, const HTuple& GenParamName )

HTuple HIOChannel::GetIoChannelParam( const HString& GenParamName ) const

HTuple HIOChannel::GetIoChannelParam( const char* GenParamName ) const

HTuple HIOChannel::GetIoChannelParam( const wchar_t* GenParamName ) const (Windows only)

static HTuple HIOChannel.GetIoChannelParam( HIOChannel[] IOChannelHandle, HTuple genParamName )

HTuple HIOChannel.GetIoChannelParam( string genParamName )

Description🔗

get_io_channel_paramGetIoChannelParam queries settings of specific I/O transmission channels. The query parameters are passed in GenParamNamegenParamNamegen_param_name, the corresponding configuration values are returned in GenParamValuegenParamValuegen_param_value. IOChannelHandleIOChannelHandleiochannel_handle specifies the channels returned in open_io_channelOpenIoChannel for a specific device instance.

Please check the directory doc/html/reference/io for documentation about your specific I/O device interface, where all supported channel-specific parameters are listed.

Execution information🔗

Execution information
  • Multithreading type: reentrant (runs in parallel with non-exclusive operators).

  • Multithreading scope: global (may be called from any thread).

  • Processed without parallelization.

Parameters🔗

IOChannelHandleIOChannelHandleiochannel_handle (input_control) io_channel(-array) → (handle)(handle)HTuple (HHandle)HIOChannel, HTuple (IntPtr)MaybeSequence[HHandle]Htuple (handle)

Handles of the opened I/O channels.

GenParamNamegenParamNamegen_param_name (input_control) string(-array) → (string)(string)HTuple (HString)HTuple (string)MaybeSequence[str]Htuple (char*)

Parameter names.

Default: 'param_name'"param_name"
Suggested values: 'io_channel_name', 'param_name'"io_channel_name", "param_name"

GenParamValuegenParamValuegen_param_value (output_control) string-array → (string / integer / real / handle)(string / integer / real / handle)HTuple (HString / Hlong / double / HHandle)HTuple (string / int / long / double / HHandle)Sequence[HTupleElementType]Htuple (char* / Hlong / double / handle)

Parameter values.

Result🔗

If the parameters are valid, the operator get_io_channel_paramGetIoChannelParam returns the value 2 (H_MSG_TRUE). If necessary an exception is raised. In this case, an extended error information may be set and can be queried with the operator get_extended_error_infoGetExtendedErrorInfo.

Combinations with other operators🔗

Combinations

Possible predecessors

open_io_channelOpenIoChannel

Possible successors

read_io_channelReadIoChannel, write_io_channelWriteIoChannel

See also

open_io_channelOpenIoChannel, query_io_deviceQueryIoDevice, set_io_channel_paramSetIoChannelParam

Module🔗

Foundation